﻿using System.Reflection;
using ASPTemplate.Backend.Database.Tables;
using Microsoft.EntityFrameworkCore;

namespace ASPTemplate.Backend.Database;

public class DatabaseContext : DbContext {
	public DatabaseContext() { }

	public DatabaseContext(DbContextOptions<DatabaseContext> options) : base(options) { }

	public virtual DbSet<Config> Config { get; set; } = null!;

	protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder) => optionsBuilder.UseSqlite("Data Source=database.db");

	protected override void OnModelCreating(ModelBuilder modelBuilder) {
		modelBuilder.ApplyConfigurationsFromAssembly(Assembly.GetExecutingAssembly());
	}
}
